Eleclerc Stores Finder
Search Eleclerc stores by name or city to retrieve contact details, opening hours, and geolocation.
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Filters stores based on a search string. The search is non-case-sensitive and returns all stores whose names contain the specified string.
Example:
parisResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/finder/eleclerc-stores?query=string"[
{
"id": "1893t128t1",
"store_id": "1893",
"name": "PARIS PICPUS",
"contact": {
"email": null,
"phone": "01 87 46 07 00"
},
"address": {
"lines": [
"67 rue de Picpus"
],
"country_code": null,
"city": "PARIS",
"zipcode": "75012"
},
"weekly_opening": {
"1": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"2": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"3": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"4": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"5": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"6": {
"hours": [
{
"end": "21:30",
"start": "07:30"
}
],
"isSpecial": false
},
"7": {
"hours": [
{
"end": "13:00",
"start": "08:30"
}
],
"isSpecial": false
},
"timezone": "Europe/Paris"
},
"opening_hours": {
"usual": {
"1": [
{
"end": "21:30",
"start": "07:30"
}
],
"2": [
{
"end": "21:30",
"start": "07:30"
}
],
"3": [
{
"end": "21:30",
"start": "07:30"
}
],
"4": [
{
"end": "21:30",
"start": "07:30"
}
],
"5": [
{
"end": "21:30",
"start": "07:30"
}
],
"6": [
{
"end": "21:30",
"start": "07:30"
}
],
"7": [
{
"end": "13:00",
"start": "08:30"
}
]
},
"timezone": "Europe/Paris"
},
"geometry": {
"type": "Point",
"coordinates": [
2.3950581,
48.8454278
]
}
}
]{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}